diff -c socialShare/_install.php socialShare.new/_install.php
*** socialShare/_install.php	2015-06-16 07:58:22.000000000 +0200
--- socialShare.new/_install.php	2016-02-13 08:30:46.000000000 +0100
***************
*** 26,31 ****
--- 26,32 ----
  	$core->blog->settings->socialShare->put('twitter',true,'boolean','Add Twitter button',false,true);
  	$core->blog->settings->socialShare->put('facebook',true,'boolean','Add Facebook button',false,true);
  	$core->blog->settings->socialShare->put('google',true,'boolean','Add Google+ button',false,true);
+ 	$core->blog->settings->socialShare->put('linkedin',true,'boolean','Add LinkedIn button',false,true);
  	$core->blog->settings->socialShare->put('mail',true,'boolean','Add mail button',false,true);
  
  	$core->blog->settings->socialShare->put('on_post',true,'boolean','Add social sharing buttons on post',false,true);
diff -c socialShare/_public.php socialShare.new/_public.php
*** socialShare/_public.php	2015-07-22 13:03:44.000000000 +0200
--- socialShare.new/_public.php	2016-02-13 08:47:02.000000000 +0100
***************
*** 165,170 ****
--- 165,187 ----
  					'</li>'."\n";
  			}
  
+ 			// LinkedIn link
+ 			if ($GLOBALS['core']->blog->settings->socialShare->linkedin)
+ 			{
+ 				$share_url = sprintf('https://www.linkedin.com/shareArticle?mini=true&url=%s&title=%s',
+ 					html::sanitizeURL($url),
+ 					html::escapeHTML($title));
+ 				$ret .=
+ 					'<li>'."\n".
+ 					'<a class="share-linkedin" target="_blank" rel="nofollow" '.
+ 						'title="'.__('Share this on LinkedIn').'" '.
+ 						'href="'.$share_url.'" '.
+ 						'onclick="javascript:window.open(this.href, \'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=500,width=700\');return false;">'."\n".
+ 					'<span>'.__('LinkedIn').'</span>'."\n".
+ 					'</a>'."\n".
+ 					'</li>'."\n";
+ 			}
+ 
  			// Google+ link
  			if ($GLOBALS['core']->blog->settings->socialShare->google)
  			{
***************
*** 255,264 ****
--- 272,286 ----
  .share .share-twitter {
  	background-image: url("PF-PATH/icon-twitter.png");
  }
+ 
  .share .share-fb {
  	background-image: url("PF-PATH/icon-facebook.png");
  }
  
+ .share .share-linkedin {
+ 	background-image: url("PF-PATH/icon-linkedin.png");
+ }
+ 
  .share .share-gp {
  	background-image: url("PF-PATH/icon-gplus.png");
  }
***************
*** 269,274 ****
--- 291,299 ----
  .share .share-twitter:hover {
  	background-color: #78cbef;
  }
+ .share .share-linkedin:hover {
+ 	background-color: #78cbef;
+ }
  .share .share-fb:hover {
  	background-color: #547bbc;
  }
Common subdirectories: socialShare/img and socialShare.new/img
diff -c socialShare/index.php socialShare.new/index.php
*** socialShare/index.php	2015-06-16 12:07:48.000000000 +0200
--- socialShare.new/index.php	2016-02-13 08:45:11.000000000 +0100
***************
*** 21,26 ****
--- 21,27 ----
  		$core->blog->settings->socialShare->put('twitter',true,'boolean','Add Twitter button',false);
  		$core->blog->settings->socialShare->put('facebook',true,'boolean','Add Facebook button',false);
  		$core->blog->settings->socialShare->put('google',true,'boolean','Add Google+ button',false);
+ 		$core->blog->settings->socialShare->put('linkedin',true,'boolean','Add LinkedIn button',false,true);
  		$core->blog->settings->socialShare->put('mail',true,'boolean','Add mail button',false);
  
  		$core->blog->settings->socialShare->put('on_post',true,'boolean','Add social sharing buttons on post',false);
***************
*** 58,63 ****
--- 59,65 ----
  $ssb_twitter = (boolean) $core->blog->settings->socialShare->twitter;
  $ssb_facebook = (boolean) $core->blog->settings->socialShare->facebook;
  $ssb_google = (boolean) $core->blog->settings->socialShare->google;
+ $ssb_linkedin = (boolean) $core->blog->settings->socialShare->linkedin;
  $ssb_mail = (boolean) $core->blog->settings->socialShare->mail;
  
  $ssb_on_post = (boolean) $core->blog->settings->socialShare->on_post;
***************
*** 84,89 ****
--- 86,92 ----
  		$ssb_twitter = !empty($_POST['ssb_twitter']);
  		$ssb_facebook = !empty($_POST['ssb_facebook']);
  		$ssb_google = !empty($_POST['ssb_google']);
+ 		$ssb_linkedin = !empty($_POST['ssb_linkedin']);
  		$ssb_mail = !empty($_POST['ssb_mail']);
  
  		$ssb_on_post = !empty($_POST['ssb_on_post']);
***************
*** 109,114 ****
--- 112,118 ----
  		$core->blog->settings->socialShare->put('twitter',$ssb_twitter);
  		$core->blog->settings->socialShare->put('facebook',$ssb_facebook);
  		$core->blog->settings->socialShare->put('google',$ssb_google);
+ 		$core->blog->settings->socialShare->put('linkedin',$ssb_linkedin);
  		$core->blog->settings->socialShare->put('mail',$ssb_mail);
  
  		$core->blog->settings->socialShare->put('on_post',$ssb_on_post);
***************
*** 167,172 ****
--- 171,178 ----
  '<label for="ssb_facebook" class="classic">'.__('Add Facebook sharing button').'</label></p>'.
  '<p>'.form::checkbox('ssb_google',1,$ssb_google).' '.
  '<label for="ssb_google" class="classic">'.__('Add Google+ sharing button').'</label></p>'.
+ '<p>'.form::checkbox('ssb_linkedin',1,$ssb_linkedin).' '.
+ '<label for="ssb_linkedin" class="classic">'.__('Add LinkedIn sharing button').'</label></p>'.
  '<p>'.form::checkbox('ssb_mail',1,$ssb_mail).' '.
  '<label for="ssb_mail" class="classic">'.__('Add Mail sharing button').'</label></p>'.
  '</div>'.
Common subdirectories: socialShare/locales and socialShare.new/locales
